---
- name: Changing passwords
  # ap config/change_root_password.yml -kK --extra-vars username=user
  hosts: all
  become: yes
  gather_facts: no
  vars_prompt:
    - name: password1
      prompt: "New password."

    - name: password2
      prompt: "Retype new passowrd"

  tasks:
    - fail:
        msg: "Passwords don't match! Please try again."
      when: password1 != password2

    - name: change user's password
      user:
        name: "{{ username }}"
        password: "{{ password1 | password_hash('sha512') }}"
        update_password: always


